		rebuild: function(index)
		{
		},

		addOrUpdateLink: function(figure, index)
		{
		},

		imagePropertyChanged: function(index)
		{
			this.rebuild(index);
		},

		imageSizeCSSChanged: function(imageWidth, imageHeight)
		{
			this.rebuild(this.index);
		},

		imageMarginCSSChanged: function(marginLeft)
		{
			// marginLeft is the left margin on #exibid figure
		},

		imageBorderCSSChanged: function(borderSize) {
			// borderSize is the border width on .exibid-showtime_image img
		},
		
		isOpen: function() {
			return _isOpen;
		},
		
		updateItems: function(el) {
			var thumbElements = el.querySelectorAll("figure"),
				numNodes = thumbElements.length,
				newItems = [],
				figureEl,
				linkEl,
				size,
				item;
				
			if(self.getCurrentIndex() > numNodes-1)
				self.goTo(numNodes-1);

			for(var i = 0; i < numNodes; i++) {

				figureEl = thumbElements[i];

				if(figureEl.nodeType !== 1) {
					continue;
				}

				linkEl = figureEl.children[0];

				size = linkEl.getAttribute('data-size').split('x');

				item = {
					src: linkEl.getAttribute('href'),
					w: parseInt(size[0], 10),
					h: parseInt(size[1], 10)
				};

				if(figureEl.children.length > 1) {
					item.description = figureEl.children[1].innerHTML;
				}

				if(linkEl.children.length > 0) {
					item.msrc = linkEl.children[0].getAttribute('src');
					if(linkEl.children[0].title != "")
					  item.title = linkEl.children[0].title;
				}

				item.el = figureEl;
				newItems.push(item);
			}
			self.items = _items = items = newItems;
			self.invalidateCurrItems();
			self.updateSize(true);
		},
		